# API Transport

This transport layer is written for the following purpose
- Directly send REST API to end point during development
- Sending the REST API through different gateway for permission hardening
- Allow easier mocking of REST API for testing
